Package Details: activinspire 2.17.68075-2

Git Clone URL: https://aur.archlinux.org/activinspire.git (read-only)
Package Base: activinspire
Description: Presentation Software for use with Promethean Hardware products.
Upstream URL: https://support.prometheanworld.com/product/activinspire
Licenses: unknown
Submitter: jose1711
Maintainer: Malstrond
Last Packager: Malstrond
Votes: 5
Popularity: 0.000356
First Submitted: 2016-05-13 11:39
Last Updated: 2019-09-25 17:50

Latest Comments

Malstrond commented on 2019-09-24 18:37

-Updated

-Some new dependencies in this version

-Added the file com.ubuntu.user-interface.gschema.xml due to user feedback. According to a user ActivInspire doesn't start without that file, for me it does, but I added it anyway.

Malstrond commented on 2019-06-02 21:50

-Updated.

-Reworked dependencies. This package has always included a bunch of libraries that are shipped by Promethean, but never used it because it replaced the original launcher script with one that omits LD_LIBRARY_PATH. Because there are lots of binary compatibility issues and because QT4 which this still depends on (in contrast to activmgr for example) has dropped to the AUR and would need to be compiled we now use the included libraries.

-Unresolved dependencies:

--This would need lib32-icu52, which doesn't exist in multilib or the AUR. Promethean even ships it with a libicui18n.so.54 file in the activinspire directory, but that is the wrong one, it looks for libicui18n.so.52! When symlinking the ICU it searches to the ICU it shipped with, it fails with "Unable to find symbols in icui18n". Same thing for the official lib32-icu from multilib. But this problem doesn't seem to be critical.

--This would require the 32-bit version of Flash, which doesn't exist in multilib or the AUR. But this problem doesn't seem to be critical.

--The errors relating to libactivboardex.so get are not critical, activtools includes it though. But when activtools is installed, it also searches for libactivlog.so.1, a file which doesn't seem to exist in any packages provided by Promethean. Doesn't seem to be critical either.

--Audio/Video playback doesn't work. Probably some gstreamer dependency issues which I can't work out.

--Dropped 32-bit support. Promethean stuff is finicky with weird binary dependencies so it needs to be tested, and since Arch dropped 32-bit I don't have a test system.

uzerus commented on 2018-12-29 20:05

It's out of date, please give the current deb package, i cannot find it.

Bazon commented on 2016-06-28 10:41

Warning: evince 3.20.1-1 breaks the start of inspire, with evince 3.20.0-2 it works. At least with the 32 bit version and activtools and activdriver installed. With 64bit and without activtools, it doesn't happen.
Leads to errors like this:
(Inspire:11684): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplayManager'

(Inspire:11684): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(Inspire:11684): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed

(Inspire:11684): GLib-GObject-WARNING **: invalid (NULL) pointer instance